package com.sf.day09.abstractpackage;

public class Son extends Father{
    private Integer StuNo;

    public Son() {
    }

    public Son(Integer stuNo) {
        StuNo = stuNo;
    }

    public Son(String name, Integer age, Double weight, Integer stuNo) {
        super(name, age, weight);
        StuNo = stuNo;
    }

    public Integer getStuNo() {
        return StuNo;
    }

    public void setStuNo(Integer stuNo) {
        StuNo = stuNo;
    }

    @Override
    public String toString() {
        return "Son{" +
                "StuNo=" + StuNo +
                '}';
    }

    @Override
    public void eat() {
        System.out.println("我是子类  正在吃饭");
    }

    @Override
    public void sleep() {
        System.out.println("我是子类  正在睡觉");
    }



}
